Issue in building docker image for web

I’m trying to create a docker image for the web but continuously getting below errors. I tried few suggestions but they aren’t working. Please let me know if someone else faced this issue and able to fix it.

Error

E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/libx/libx11/libx11-6_1.6.7-1+deb10u2_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]

complete logs

docker image command logs
[4/4] RUN    apt-dpkg-wrap apt-get update &&         apt-dpkg-wrap apt-get install -y cron nginx-extras jitsi-meet-web socat &&      apt-dpkg-wrap apt-get -d install -y jitsi-meet-web-config &&     dpkg -x /var/cache/apt/archives/jitsi-meet-web-config*.deb /tmp/pkg &&     mv /tmp/pkg/usr/share/jitsi-meet-web-config/config.js /defaults &&  mv /usr/share/jitsi-meet/interface_config.js /defaults &&       rm -f /etc/nginx/conf.d/default.conf &&         apt-cleanup &&  rm -rf /tmp/pkg /var/cache/apt:
#10 0.764 Get:1 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
#10 0.942 Get:2 http://ftp.debian.org/debian buster-backports InRelease [46.7 kB]
#10 0.944 Get:3 http://deb.debian.org/debian buster InRelease [121 kB]
#10 1.007 Get:4 http://security.debian.org/debian-security buster/updates/main amd64 Packages [291 kB]
#10 1.092 Get:5 http://deb.debian.org/debian buster-updates InRelease [51.9 kB]
#10 1.150 Get:6 http://ftp.debian.org/debian buster-backports/main amd64 Packages [477 kB]
#10 1.297 Get:7 http://deb.debian.org/debian buster/main amd64 Packages [7907 kB]
#10 1.765 Get:8 https://download.jitsi.org stable/ InRelease [1882 B]
#10 2.497 Get:9 https://download.jitsi.org stable/ Packages [52.3 kB]
#10 3.163 Get:10 http://deb.debian.org/debian buster-updates/main amd64 Packages [10.9 kB]
#10 4.456 Fetched 9025 kB in 4s (2229 kB/s)
#10 4.456 Reading package lists...
#10 5.173 Reading package lists...
#10 5.894 Building dependency tree...
#10 6.027 Reading state information...
#10 6.202 The following additional packages will be installed:
#10 6.202   fontconfig-config fonts-dejavu-core libbsd0 libexpat1 libfontconfig1
#10 6.202   libfreetype6 libgd3 libgdbm-compat4 libgdbm6 libgeoip1 libhiredis0.14
#10 6.202   libicu63 libjbig0 libjpeg62-turbo libluajit-5.1-2 libluajit-5.1-common
#10 6.202   libnginx-mod-http-auth-pam libnginx-mod-http-cache-purge
#10 6.202   libnginx-mod-http-dav-ext libnginx-mod-http-echo
#10 6.202   libnginx-mod-http-fancyindex libnginx-mod-http-geoip
#10 6.202   libnginx-mod-http-headers-more-filter libnginx-mod-http-image-filter
#10 6.202   libnginx-mod-http-lua libnginx-mod-http-ndk libnginx-mod-http-perl
#10 6.202   libnginx-mod-http-subs-filter libnginx-mod-http-uploadprogress
#10 6.202   libnginx-mod-http-upstream-fair libnginx-mod-http-xslt-filter
#10 6.202   libnginx-mod-mail libnginx-mod-nchan libnginx-mod-stream libperl5.28
#10 6.203   libpng16-16 libtiff5 libwebp6 libwrap0 libx11-6 libx11-data libxau6 libxcb1
#10 6.203   libxdmcp6 libxml2 libxpm4 libxslt1.1 nginx-common perl perl-modules-5.28
#10 6.203   sensible-utils ucf
#10 6.205 Suggested packages:
#10 6.205   anacron logrotate checksecurity libgd-tools gdbm-l10n geoip-bin fcgiwrap
#10 6.205   nginx-doc ssl-cert perl-doc libterm-readline-gnu-perl
#10 6.205   | libterm-readline-perl-perl make libb-debug-perl liblocale-codes-perl
#10 6.205 Recommended packages:
#10 6.205   default-mta | mail-transport-agent geoip-database netbase
#10 6.491 The following NEW packages will be installed:
#10 6.492   cron fontconfig-config fonts-dejavu-core jitsi-meet-web libbsd0 libexpat1
#10 6.492   libfontconfig1 libfreetype6 libgd3 libgdbm-compat4 libgdbm6 libgeoip1
#10 6.492   libhiredis0.14 libicu63 libjbig0 libjpeg62-turbo libluajit-5.1-2
#10 6.492   libluajit-5.1-common libnginx-mod-http-auth-pam
#10 6.492   libnginx-mod-http-cache-purge libnginx-mod-http-dav-ext
#10 6.492   libnginx-mod-http-echo libnginx-mod-http-fancyindex libnginx-mod-http-geoip
#10 6.492   libnginx-mod-http-headers-more-filter libnginx-mod-http-image-filter
#10 6.492   libnginx-mod-http-lua libnginx-mod-http-ndk libnginx-mod-http-perl
#10 6.492   libnginx-mod-http-subs-filter libnginx-mod-http-uploadprogress
#10 6.492   libnginx-mod-http-upstream-fair libnginx-mod-http-xslt-filter
#10 6.492   libnginx-mod-mail libnginx-mod-nchan libnginx-mod-stream libperl5.28
#10 6.492   libpng16-16 libtiff5 libwebp6 libwrap0 libx11-6 libx11-data libxau6 libxcb1
#10 6.492   libxdmcp6 libxml2 libxpm4 libxslt1.1 nginx-common nginx-extras perl
#10 6.493   perl-modules-5.28 sensible-utils socat ucf
#10 6.593 0 upgraded, 56 newly installed, 0 to remove and 1 not upgraded.
#10 6.593 Need to get 36.1 MB of archives.
#10 6.593 After this operation, 139 MB of additional disk space will be used.
#10 6.593 Get:1 http://deb.debian.org/debian buster/main amd64 sensible-utils all 0.0.12 [15.8 kB]
#10 6.597 Get:2 http://security.debian.org/debian-security buster/updates/main amd64 libx11-data all 2:1.6.7-1+deb10u2 [299 kB]
#10 6.640 Get:3 http://deb.debian.org/debian buster/main amd64 cron amd64 3.0pl1-134+deb10u1 [99.0 kB]
#10 6.698 Get:4 http://deb.debian.org/debian buster/main amd64 perl-modules-5.28 all 5.28.1-6+deb10u1 [2873 kB]
#10 6.777 Err:5 http://security.debian.org/debian-security buster/updates/main amd64 libx11-6 amd64 2:1.6.7-1+deb10u2
#10 6.777   400  Bad Request [IP: 151.101.66.132 80]
#10 6.892 Get:6 http://security.debian.org/debian-security buster/updates/main amd64 nginx-common all 1.14.2-2+deb10u4 [121 kB]
#10 7.037 Err:7 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-auth-pam amd64 1.14.2-2+deb10u4
#10 7.037   400  Bad Request [IP: 151.101.66.132 80]
#10 7.141 Get:8 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-cache-purge amd64 1.14.2-2+deb10u4 [95.2 kB]
#10 7.238 Err:9 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-dav-ext amd64 1.14.2-2+deb10u4
#10 7.238   400  Bad Request [IP: 151.101.66.132 80]
#10 7.309 Get:10 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-echo amd64 1.14.2-2+deb10u4 [104 kB]
#10 7.424 Err:11 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-fancyindex amd64 1.14.2-2+deb10u4
#10 7.424   400  Bad Request [IP: 151.101.66.132 80]
#10 7.516 Get:12 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-geoip amd64 1.14.2-2+deb10u4 [94.1 kB]
#10 7.620 Err:13 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-headers-more-filter amd64 1.14.2-2+deb10u4
#10 7.620   400  Bad Request [IP: 151.101.66.132 80]
#10 7.704 Get:14 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-image-filter amd64 1.14.2-2+deb10u4 [97.6 kB]
#10 7.893 Err:15 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-ndk amd64 1.14.2-2+deb10u4
#10 7.893   400  Bad Request [IP: 151.101.66.132 80]
#10 7.968 Get:16 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-lua amd64 1.14.2-2+deb10u4 [238 kB]
#10 8.101 Get:17 https://download.jitsi.org stable/ jitsi-meet-web 1.0.4985-1 [11.3 MB]
#10 8.110 Err:18 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-perl amd64 1.14.2-2+deb10u4
#10 8.110   400  Bad Request [IP: 151.101.66.132 80]
#10 8.228 Get:19 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-subs-filter amd64 1.14.2-2+deb10u4 [95.9 kB]
#10 8.331 Get:20 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-uploadprogress amd64 1.14.2-2+deb10u4 [99.5 kB]
#10 8.363 Get:21 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-upstream-fair amd64 1.14.2-2+deb10u4 [96.0 kB]
#10 8.423 Get:22 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-http-xslt-filter amd64 1.14.2-2+deb10u4 [95.9 kB]
#10 8.476 Get:23 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-mail amd64 1.14.2-2+deb10u4 [126 kB]
#10 8.512 Get:24 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-nchan amd64 1.14.2-2+deb10u4 [237 kB]
#10 8.615 Get:25 http://security.debian.org/debian-security buster/updates/main amd64 libnginx-mod-stream amd64 1.14.2-2+deb10u4 [147 kB]
#10 8.646 Get:26 http://security.debian.org/debian-security buster/updates/main amd64 nginx-extras amd64 1.14.2-2+deb10u4 [515 kB]
#10 8.913 Get:27 http://deb.debian.org/debian buster/main amd64 libgdbm6 amd64 1.18.1-4 [64.7 kB]
#10 8.956 Get:28 http://deb.debian.org/debian buster/main amd64 libgdbm-compat4 amd64 1.18.1-4 [44.1 kB]
#10 8.984 Get:29 http://deb.debian.org/debian buster/main amd64 libperl5.28 amd64 5.28.1-6+deb10u1 [3894 kB]
#10 16.77 Get:30 http://deb.debian.org/debian buster/main amd64 perl amd64 5.28.1-6+deb10u1 [204 kB]
#10 17.32 Get:31 http://deb.debian.org/debian buster/main amd64 ucf all 3.0038+nmu1 [69.0 kB]
#10 17.46 Get:32 http://deb.debian.org/debian buster/main amd64 fonts-dejavu-core all 2.37-1 [1068 kB]
#10 18.76 Get:33 http://deb.debian.org/debian buster/main amd64 fontconfig-config all 2.13.1-2 [280 kB]
#10 19.02 Get:34 http://deb.debian.org/debian buster/main amd64 libbsd0 amd64 0.9.1-2+deb10u1 [99.5 kB]
#10 19.13 Get:35 http://deb.debian.org/debian buster/main amd64 libexpat1 amd64 2.2.6-2+deb10u1 [106 kB]
#10 19.20 Get:36 http://deb.debian.org/debian buster/main amd64 libpng16-16 amd64 1.6.36-6 [292 kB]
#10 19.40 Get:37 http://deb.debian.org/debian buster/main amd64 libfreetype6 amd64 2.9.1-3+deb10u2 [380 kB]
#10 19.75 Get:38 http://deb.debian.org/debian buster/main amd64 libfontconfig1 amd64 2.13.1-2 [346 kB]
#10 19.95 Get:39 http://deb.debian.org/debian buster/main amd64 libjpeg62-turbo amd64 1:1.5.2-2+deb10u1 [133 kB]
#10 20.06 Get:40 http://deb.debian.org/debian buster/main amd64 libjbig0 amd64 2.1-3.1+b2 [31.0 kB]
#10 20.12 Get:41 http://deb.debian.org/debian buster/main amd64 libwebp6 amd64 0.6.1-2 [263 kB]
#10 20.36 Get:42 http://deb.debian.org/debian buster/main amd64 libtiff5 amd64 4.1.0+git191117-2~deb10u2 [271 kB]
#10 20.60 Get:43 http://deb.debian.org/debian buster/main amd64 libxau6 amd64 1:1.0.8-1+b2 [19.9 kB]
#10 20.60 Get:44 http://deb.debian.org/debian buster/main amd64 libxdmcp6 amd64 1:1.1.2-3 [26.3 kB]
#10 20.60 Get:45 http://deb.debian.org/debian buster/main amd64 libxcb1 amd64 1.13.1-2 [137 kB]
#10 20.74 Get:46 http://deb.debian.org/debian buster/main amd64 libxpm4 amd64 1:3.5.12-1 [49.1 kB]
#10 20.79 Get:47 http://deb.debian.org/debian buster/main amd64 libgd3 amd64 2.2.5-5.2 [136 kB]
#10 20.91 Get:48 http://deb.debian.org/debian buster/main amd64 libgeoip1 amd64 1.6.12-1 [93.1 kB]
#10 21.02 Get:49 http://deb.debian.org/debian buster/main amd64 libhiredis0.14 amd64 0.14.0-3 [33.8 kB]
#10 21.04 Get:50 http://deb.debian.org/debian buster/main amd64 libicu63 amd64 63.1-6+deb10u1 [8300 kB]
#10 31.52 Get:51 http://deb.debian.org/debian buster/main amd64 libluajit-5.1-common all 2.1.0~beta3+dfsg-5.1 [46.7 kB]
#10 31.56 Get:52 http://deb.debian.org/debian buster/main amd64 libluajit-5.1-2 amd64 2.1.0~beta3+dfsg-5.1 [230 kB]
#10 31.78 Get:53 http://deb.debian.org/debian buster/main amd64 libxml2 amd64 2.9.4+dfsg1-7+deb10u1 [689 kB]
#10 32.91 Get:54 http://deb.debian.org/debian buster/main amd64 libxslt1.1 amd64 1.1.32-2.2~deb10u1 [237 kB]
#10 33.27 Get:55 http://deb.debian.org/debian buster/main amd64 libwrap0 amd64 7.6.q-28 [58.7 kB]
#10 33.34 Get:56 http://deb.debian.org/debian buster/main amd64 socat amd64 1.7.3.2-2 [358 kB]
#10 49.46 E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/libx/libx11/libx11-6_1.6.7-1+deb10u2_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]
#10 49.46 E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/n/nginx/libnginx-mod-http-auth-pam_1.14.2-2+deb10u4_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]
#10 49.46 E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/n/nginx/libnginx-mod-http-dav-ext_1.14.2-2+deb10u4_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]
#10 49.46 E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/n/nginx/libnginx-mod-http-fancyindex_1.14.2-2+deb10u4_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]
#10 49.46 E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/n/nginx/libnginx-mod-http-headers-more-filter_1.14.2-2+deb10u4_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]
#10 49.46 E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/n/nginx/libnginx-mod-http-ndk_1.14.2-2+deb10u4_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]
#10 49.46 E: Failed to fetch http://security.debian.org/debian-security/pool/updates/main/n/nginx/libnginx-mod-http-perl_1.14.2-2+deb10u4_amd64.deb  400  Bad Request [IP: 151.101.66.132 80]
#10 49.46 E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
#10 49.46 Fetched 34.7 MB in 43s (809 kB/s)
------
executor failed running [/bin/sh -c apt-dpkg-wrap apt-get update &&     apt-dpkg-wrap apt-get install -y cron nginx-extras jitsi-meet-web socat &&      apt-dpkg-wrap apt-get -d install -y jitsi-meet-web-config &&     dpkg -x /var/cache/apt/archives/jitsi-meet-web-config*.deb /tmp/pkg &&     mv /tmp/pkg/usr/share/jitsi-meet-web-config/config.js /defaults &&  mv /usr/share/jitsi-meet/interface_config.js /defaults &&       rm -f /etc/nginx/conf.d/default.conf &&         apt-cleanup &&  rm -rf /tmp/pkg /var/cache/apt]: exit code: 100

This link works for me. Maybe you have a DNS issue on the client side. Could you check the following?

wget http://security.debian.org/debian-security/pool/updates/main/libx/libx11/libx11-6_1.6.7-1+deb10u2_amd64.deb

I have just checked your log. It seems a temporary network issue